<template>
  <div>
    <el-button type="primary" @click="checkData">一键核对</el-button>
    <div id="dialysis-print-box">
      <div class="dialysis-print-order">
        <div class="order-yy-name">{{ orgname }}</div>
        <div class="order-title" style="border-bottom:1px solid #000;">血液净化治疗记录单</div>
        <div class="lineHeight">身份识别</div>
        <div class="lineHeight" style="display:flex;justify-content: space-between;">
          <div style="width:18%">床号：{{ getNumber() }}</div>
          <div style="width:16%">姓名：{{ patientInfo.name ? patientInfo.name : "/" }}</div>
          <div style="width:16%">性别：{{ patientInfo.gender ? patientInfo.gender : "/" }}</div>
          <div class='widthLength25'>透析号：{{ patientInfo.dialysis_no }}</div>
          <div class='widthLength25'>日期：{{ queryParams.xtdate ? queryParams.xtdate : "/" }}</div>
        </div>
        <div class="lineHeight">基本信息</div>
        <div class="lineHeight">
            <div class="widthLength25">年龄：{{ getAge(patientInfo) }}</div>
            <div class="widthLength25">透析年龄：{{ patientInfo.first_dialysis_date ? getMonths(patientInfo.first_dialysis_date) : '/' }}月</div>
            <div class="widthLength25">入院方式：{{ receiverTreatmentAccess.way ? receiverTreatmentAccess.way : '/' }}</div>
            <div class="widthLength25">累计：{{ patientInfo.total_dialysis + patientInfo.user_sys_before_count }} 次</div>
        </div>
        <div class="lineHeight">
            <div class="widthLength25">首次透析时间：{{ patientInfo.first_treatment_date ? getTime(patientInfo.first_treatment_date ? patientInfo.first_treatment_date : 0, "{y}-{m}-{d}") : '/' }}</div>
            <div class="widthLength25">首入本院透析：{{ patientInfo.hospital_first_dialysis_date ? getTime(patientInfo.hospital_first_dialysis_date ? patientInfo.hospital_first_dialysis_date : 0, "{y}-{m}-{d}") : '/' }}</div>
            <div class="widthLength25"></div>
            <div class="widthLength25"></div>
        </div>
        <div class="lineHeight">
            诊断：{{ patientInfo.diagnose }}
        </div>
        <div class="lineHeight">透析前评估：</div>
        <div class="lineHeight">主诉：{{ patientInfo.patient_complains ? patientInfo.patient_complains : '无' }}</div>
        <div class="lineHeight">透析前药物：{{ predialysis.pre_dialysis_drugs ? predialysis.pre_dialysis_drugs : '' }}</div>
        <div class="lineHeight">
          <span v-if="predialysis.is_hemorrhage == 1">出血部位：{{ predialysis.hemorrhage ? predialysis.hemorrhage : '无' }}</span>
          <span v-else>出血部位：无</span>
        </div>
        <div class="lineHeight">
            <div class="widthLength25">是否跌倒：{{ receiverTreatmentAccess.tumble == 1 ? '是' : '否' }}</div>
            <div class="widthLength25">跌倒预防措施：{{ receiverTreatmentAccess.precaution ? receiverTreatmentAccess.precaution : '/' }}</div>
            <div class="widthLength25">跌倒风险：
                <span v-if="receiverTreatmentAccess.danger_level == 1">无</span>
                <span v-if="receiverTreatmentAccess.danger_level == 2">低风险</span>
                <span v-if="receiverTreatmentAccess.danger_level == 3">中度风险</span>
                <span v-if="receiverTreatmentAccess.danger_level == 4">高风险</span>
            </div>
            <div class="widthLength25">是否通路感染：
                <span v-if="predialysis.is_infect == 1">无</span>
                <span v-if="predialysis.is_infect == 2">有</span>
            </div>
        </div>
        <div class="lineHeight">
            <div class="widthLength25">围手术期：{{ predialysis.period == 1 ? '有' : "无" }}</div>
            <div class="widthLength25">尿量：{{ predialysis.urine_volume ? predialysis.urine_volume : 0 }}ml</div>
            <div class="widthLength25">就诊方式：
                <span v-if="receiverTreatmentAccess.condition == 1">住院</span>
                <span v-if="receiverTreatmentAccess.condition == 2">门诊</span>
                <span v-if="receiverTreatmentAccess.condition == 3">手术期</span>
                <span v-if="receiverTreatmentAccess.condition == 4">急诊</span>
            </div>
            <div class="widthLength25">透析期间BP：未测</div>
        </div>
        <div class="lineHeight">
            <div class="widthLength25">内瘘功能：{{ predialysis.internal_fistula ? predialysis.internal_fistula : '' }}</div>
            <div class="widthLength25">穿刺方法：{{ predialysis.puncture_way ? predialysis.puncture_way : '' }}</div>
            <div class="widthLength25">通路皮肤：{{ predialysis.internal_fistula_skin ? predialysis.internal_fistula_skin : '' }}</div>
            <div class="widthLength25">BP：{{ predialysis.systolic_blood_pressure ? predialysis.systolic_blood_pressure : "" }}/
                {{ predialysis.diastolic_blood_pressure ? predialysis.diastolic_blood_pressure : "" }} mmHg
            </div>
        </div>
        <div class="lineHeight">
            <div class="widthLength25">T：{{ predialysis.temperature ? predialysis.temperature : '' }} ℃</div>
            <div class="widthLength25">P：{{ predialysis.pulse_frequency ? predialysis.pulse_frequency : '' }} 次/分</div>
            <div class="widthLength25">意识：
              <span v-for="(item, index) in consciousness_arr" :key="index">
                <span v-if="receiverTreatmentAccess.consciousness == item.id">{{ item.name }}</span>
              </span>
            </div>
            <div class="widthLength25">食欲：
              <span v-for="(item, index) in appetite_arr" :key="index">
                <span v-if="receiverTreatmentAccess.appetite == item.id">{{ item.name }}</span>
              </span>
            </div>
        </div>
        <div class="lineHeight">
            <div class="widthLength25">附加重物量：{{ predialysis.additional_weight ? predialysis.additional_weight : 0 }} Kg</div>
            <div class="widthLength25">透前体重：{{ predialysis.weight_before ? predialysis.weight_before : "" }} Kg</div>
            <div class="widthLength25">干体重：{{ predialysis.dry_weight ? predialysis.dry_weight : "" }} Kg</div>
            <div class="widthLength25">预计进食量：{{ predialysis.estimated_food_intake ? predialysis.estimated_food_intake + ' g' : '无' }}</div>
        </div>
        <div class="lineHeight">
            其他：{{ predialysis.remark ? predialysis.remark : '' }}
        </div>
        <div class="lineHeight">透后评估：</div>
        <div class="lineHeight">
            <div class="widthLength25">BP：{{ afterdialysis.systolic_blood_pressure ? afterdialysis.systolic_blood_pressure : "" }}/
              {{ afterdialysis.diastolic_blood_pressure ? afterdialysis.diastolic_blood_pressure : "" }} mmHg
            </div>
            <div class="widthLength25">T：{{ afterdialysis.temperature ? afterdialysis.temperature : '' }}℃</div>
            <div class="widthLength25">意识：
              <span v-for="(item, index) in consciousness_arr" :key="index">
                <span v-if="afterdialysis.consciousness == item.id">{{ item.name }}</span>
              </span>
            </div>
            <div class="widthLength25">跌倒风险：
              <span v-if="afterdialysis.fallrisk == 1">无</span>
              <span v-if="afterdialysis.fallrisk == 2">低风险</span>
              <span v-if="afterdialysis.fallrisk == 3">中度风险</span>
              <span v-if="afterdialysis.fallrisk == 4">高风险</span>
            </div>
        </div>
        <div class="lineHeight">
            <div class="widthLength25">实际进食量：{{ afterdialysis.dialysis_during ? afterdialysis.dialysis_during : '' }} g</div>
            <div class="widthLength25">透后体重：{{ afterdialysis.weight_after ? afterdialysis.weight_after : "" }} Kg</div>
            <div class="widthLength25">脉搏：{{ afterdialysis.pulse_frequency ? afterdialysis.pulse_frequency : "" }} 次/分</div>
            <div class="widthLength25"></div>
        </div>
        <div class="lineHeight">治疗方案：</div>
        <div class="lineHeight">
            <div class="widthLength25">病情：<span v-for="item in illnessList" v-if="prescription.illness == item.id">{{ item.name }}</span></div>
            <div class="widthLength25">治疗模式：
              <span v-if="prescription.mode_id == 1">HD</span>
              <span v-if="prescription.mode_id == 2">HDF</span>
              <span v-if="prescription.mode_id == 3">HD+HP</span>
              <span v-if="prescription.mode_id == 4">HP</span>
              <span v-if="prescription.mode_id == 5">HP</span>
              <span v-if="prescription.mode_id == 6">HF</span>
              <span v-if="prescription.mode_id == 7">IUF</span>
              <span v-if="prescription.mode_id == 8">HFHD</span>
              <span v-if="prescription.mode_id == 9">HFHD+HP</span>
              <span v-if="prescription.mode_id == 10">PHF</span>
              <span v-if="prescription.mode_id == 11">HFR</span>
              <span v-if="prescription.mode_id == 12">HDF+HP</span>
              <span v-if="prescription.mode_id == 13">CRRT</span>
              <span v-if="prescription.mode_id == 14">腹水回输</span>
              <span v-if="prescription.mode_id == 15">HD前置换</span>
              <span v-if="prescription.mode_id == 16">HD后置换</span>
              <span v-if="prescription.mode_id == 17">HDF前置换</span>
              <span v-if="prescription.mode_id == 18">HDF后置换</span>
              <span v-if="prescription.mode_id == 19">IUF+HD</span>
            </div>
            <div class="widthLength25">治疗总时长：{{ prescription.dialysis_duration_hour ? prescription.dialysis_duration_hour : 0 }}小时
              {{ prescription.dialysis_duration_minute ? prescription.dialysis_duration_minute : 0 }}分钟
            </div>
            <div class="widthLength25">透析器：{{ prescription.dialysis_dialyszers ? prescription.dialysis_dialyszers : '' }} 
              <span v-if="prescription.dialysis_irrigation!=''">/{{prescription.dialysis_irrigation}}</span>
            </div>
        </div>
        <div class="lineHeight">
            <div class="widthLength25">血流量：{{ prescription.blood_flow_volume ? prescription.blood_flow_volume : "" }} ml/min</div>
            <div class="widthLength25">设定UF量：{{ prescription.target_ultrafiltration ? prescription.target_ultrafiltration : "" }} ml</div>
            <div class="widthLength25">实际UF量：{{ afterdialysis.actual_ultrafiltration ? afterdialysis.actual_ultrafiltration : "" }} ml</div>
            <div class="widthLength25">分区：{{ patientInfo.DialysisSchedule.device_zone.name }}</div>
        </div>
        <div class="lineHeight">
            <div class="widthLength25">透析液温度：{{ prescription.dialysate_temperature ? prescription.dialysate_temperature : "" }} ℃</div>
            <div class="widthLength25">透析液流量：{{ prescription.dialysate_flow ? prescription.dialysate_flow : "" }} ml/min</div>
            <div class="widthLength25">碳酸氢根：{{ prescription.bicarbonate ? prescription.bicarbonate : "" }} mmol/L</div>
            <div class="widthLength25">血管通路：{{ prescription.blood_access_part_opera_name ? prescription.blood_access_part_opera_name : '' }}</div>
        </div>
        <div class="lineHeight">
            透析液浓度(mmol/L)：Ca： {{ prescription.calcium ? prescription.calcium : "" }}  &nbsp; Na： {{ prescription.sodium ? prescription.sodium : "" }} &nbsp;  K： {{ prescription.kalium ? prescription.kalium : "" }} &nbsp; 葡萄糖：{{ prescription.amylaceum ? prescription.amylaceum : "" }}
        </div>
        <table class="print-table" border="1">
          <tbody>
            <tr>
              <td style="width:90px;height:40px">日期</td>
              <td style="width:60px;height:40px">时间</td>
              <td colspan="5" style="width:560px;height:40px">医嘱内容</td>
              <td colspan="2" style="width:110px;height:40px">开立医生</td>
              <td colspan="3" style="width:130px;height:40px">执行时间</td>
              <td colspan="2" style="width:130px;height:40px">核对护士</td>
              <td colspan="2" style="width:108px;height:40px">执行护士</td>
            </tr>

            <tr v-for="(advice, advice_index) in tableAdvice" style="height:30px">
              <td>{{ getTime(advice.start_time, "{y}-{m}-{d}") }}</td>
              <td>{{ getTime(advice.start_time, "{h}:{i}") }}</td>
              <td colspan="5" style="height:30px;line-height:20px;">
                <span v-if="advice.parent_id > 0">---></span>
                <span>{{ advice.advice_name }}</span>
                <span v-if="advice && advice.advice_desc">({{ advice.advice_desc }}{{ advice.drug_spec_unit }})</span>
                <span v-if="advice.prescribing_number">
                  &nbsp;&nbsp; {{ advice.prescribing_number }}{{ advice.prescribing_number_unit }}
                </span>
                <span v-if="advice.single_dose != 0">{{ advice.single_dose }}{{ advice.single_dose_unit }}</span>
                <span v-if="advice.parent_id == 0">
                  {{ advice.delivery_way }}
                </span>
                <span v-if="advice.parent_id == 0">
                  {{ advice.execution_frequency }}
                </span>
              </td>
              <td colspan="2">
                <span v-if="setAdminUserES(advice.advice_doctor) == ''">
                  {{ getAdminUser(advice.advice_doctor) }}
                </span>
                <img style="height:20px;" :src="setAdminUserES(advice.advice_doctor)" alt srcset v-else />
              </td>
              <td colspan="3" style="width:130px;">
                {{ getTime(advice.execution_time, "{h}:{i}") }}
              </td>
              <td colspan="2">
                <span v-if="setAdminUserES(advice.checker) == ''">
                  {{ getAdminUser(advice.checker) }}
                </span>
                <img style="height:20px;" :src="setAdminUserES(advice.checker)" alt srcset v-else />
              </td>
              <td colspan="2" style="height:30px">
                <span v-if="setAdminUserES(advice.execution_staff) == ''">
                  {{ getAdminUser(advice.execution_staff) }}
                </span>
                <img style="height:20px;" :src="setAdminUserES(advice.execution_staff)" alt srcset v-else />
              </td>
            </tr>
          </tbody>
        </table>
        <div class="lineHeight">
            <div style="width:16%;">医生：
              <span style="display: inline-block;text-align: left;">
                &nbsp;
                <span v-if="setAdminUserES(prescription==null?0:(prescription.creater?prescription.creater:'')) == ''"> {{ getAdminUser(prescription==null?0:(prescription.creater?prescription.creater:'')) }} </span>
                <img style="height:20px;" :src="setAdminUserES(prescription==null?0:(prescription.creater?prescription.creater:''))" alt="" srcset="" v-else />
              </span>
            </div>
            <div style="width:16%;">透前评估护士：
              <span style="display: inline-block;text-align: left;">
                &nbsp;
                <span v-if="setAdminUserES(predialysis==null?0:(predialysis.creater?predialysis.creater:'')) == ''"> {{ getAdminUser(predialysis==null?0:(predialysis.creater?predialysis.creater:'')) }} </span>
                <img style="height:20px;" :src="setAdminUserES(predialysis==null?0:(predialysis.creater?predialysis.creater:''))" alt="" srcset="" v-else />
              </span>
            </div>
            <div style="width:16%;">核对护士：
              <span style="display: inline-block;text-align: left;" v-if="dialysisOrder && check ? dialysisOrder.start_nurse != check.modifier : false">
                &nbsp;
                <span v-if="setAdminUserES(check == null ? 0 : check.modifier) == ''">
                  {{ getAdminUser(check == null ? 0 : check.modifier) }}
                </span>
                <img style="height:20px;" :src="setAdminUserES(check == null ? 0 : check.modifier)" alt srcset v-else />
              </span>
              <span style="display: inline-block;text-align: left;" v-else>
                &nbsp;
                <span v-if="setAdminUserES(check == null ? 0 : check.creater) == ''">
                  {{ getAdminUser(check == null ? 0 : check.creater) }}
                </span>
                <img style="height:20px;" :src="setAdminUserES(check == null ? 0 : check.creater)" alt srcset v-else />
              </span>
            </div>
            <div style="width:16%;">责任护士：
              <span style="display: inline-block;text-align: left;">
                &nbsp;
                <span v-if="setAdminUserES(dialysisOrder==null?0:dialysisOrder.start_nurse) == ''">{{getAdminUser(dialysisOrder==null?0:dialysisOrder.start_nurse)}}</span>
                <img class="es-img" style="height:20px;" :src="setAdminUserES(dialysisOrder==null?0:dialysisOrder.start_nurse)" alt="" srcset="" v-else>
              </span>
            </div>
            <div style="width:16%;">责任组长：
              <span style="display: inline-block;text-align: left;">
                &nbsp;
                <span v-if="setAdminUserES(dialysisOrder==null?0:dialysisOrder.start_nurse) == ''">{{getAdminUser(dialysisOrder==null?0:dialysisOrder.start_nurse)}}</span>
                <img class="es-img" style="height:20px;" :src="setAdminUserES(dialysisOrder==null?0:dialysisOrder.start_nurse)" alt="" srcset="" v-else>
              </span>
            </div>
        </div>
        <div class="lineHeight">治疗过程中检测记录：血压检测部位：{{ monitors && monitors[0] ? getBloodPressureMmonitoringSite(monitors[0].blood_pressure_monitoring_site) : '' }}</div>
        <table class="print-table" border="1">
          <tbody>
            <tr>
              <td width="50">时间</td>
              <td width="70" style="height:20px;line-height:20px">BPmmHg</td>
              <td width="40" style="height:20px;line-height:20px">P/HR<br />次/分</td>
              <!-- <td width="50" style="height:20px;line-height:20px">管路<br />密闭性</td> -->
              <td width="60" style="height:20px;line-height:20px">透析液<br />温度℃</td>
              <td width="60" style="height:20px;line-height:20px">Qb<br />ml/min</td>
              <td width="60" style="height:20px;line-height:20px">VP<br />mmHg</td>
              <td width="60" style="height:20px;line-height:20px">AP<br />mmHg</td>
              <td width="60" style="height:20px;line-height:20px">TMP<br />mmHg</td>
              <td width="60" style="height:20px;line-height:20px">UFV<br />ml</td>
              <td width="60" style="height:20px;line-height:20px">UFR<br />ml/h</td>
              <td width="60" style="height:20px;line-height:20px">并发症</td>
              <td width="60" style="height:20px;line-height:20px">护理措施</td>
              <!-- <td width="60" style="height:20px;line-height:20px">UF医嘱</td> -->
              <td width="60" style="height:20px;line-height:20px">执行人</td>
            </tr>

            <tr v-for="monitor in monitors" :key="monitor.id">
              <td style="height:40px;line-height:40px;">&nbsp;{{ getTime(monitor.operate_time, "{h}:{i}") }}</td>
              <td>
                <span v-if="monitor.systolic_blood_pressure || monitor.diastolic_blood_pressure">
                  &nbsp;{{ monitor.systolic_blood_pressure ? monitor.systolic_blood_pressure : "" }}/
                  {{ monitor.diastolic_blood_pressure ? monitor.diastolic_blood_pressure : "" }}
                </span>
              </td>
              <td>&nbsp;{{ monitor.pulse_frequency ? monitor.pulse_frequency : '' }}</td>
              <!-- <td>&nbsp;</td> -->
              <td>&nbsp;{{ monitor.dialysate_temperature ? monitor.dialysate_temperature : '' }}</td>
              <td>&nbsp;{{ monitor.blood_flow_volume ? monitor.blood_flow_volume : '' }}</td>
              <td>&nbsp;{{ monitor.venous_pressure ? monitor.venous_pressure : "" }}</td>
              <td>&nbsp;{{ monitor.arterial_pressure ? monitor.arterial_pressure : "" }}</td>
              <td>&nbsp;{{ monitor.transmembrane_pressure ? monitor.transmembrane_pressure : "" }}</td>
              <td>&nbsp;{{ monitor.ultrafiltration_rate ? monitor.ultrafiltration_rate : "" }}</td>
              <td>&nbsp;{{ monitor.ultrafiltration_volume ? monitor.ultrafiltration_volume : "" }}</td>
              <td>&nbsp;{{ monitor.complication ? getComplication(monitor.complication) : "" }}</td>
              <td style="text-align:left;padding-left:10px;">
                <div v-if="monitor.operate_time" style="line-height:20px;text-align: left;display: inline-block;">
                  {{ monitor.dispose ? monitor.dispose : '无' }}
                </div>
              </td>
              <!-- <td>&nbsp;</td> -->
              <td>
                <span v-if="setAdminUserES(monitor.monitoring_nurse) == ''">
                  {{ getAdminUser(monitor.monitoring_nurse) }}
                </span>
                <span v-else style="display:flex;align-items:center;justify-content:space-around;height:36px;">
                  <img style="height:20px;" :src="setAdminUserES(monitor.monitoring_nurse)" alt srcset />
                </span>
              </td>
            </tr>
          </tbody>
        </table>
        <div class="lineHeight">
            护理记录：{{ summary.nursing_record ? summary.nursing_record : '' }}
        </div>
        <div class="lineHeight">
            护理小结：{{ summary.special_record ? summary.special_record : '' }}
        </div>
        <!-- <div class="lineHeight">
            治疗过程：
        </div> -->
        <div class="lineHeight">
            <div class="widthLength25">实际治疗时长：{{ afterdialysis.actual_treatment_hour ? afterdialysis.actual_treatment_hour : 0 }}小时
              {{ afterdialysis.actual_treatment_minute ? afterdialysis.actual_treatment_minute : 0 }}分钟
            </div>
            <!-- <div class="widthLength25">静脉管道：
              <span v-if="afterdialysis.intravenous_tube == 1">0级</span>
              <span v-if="afterdialysis.intravenous_tube == 2">I级</span>
              <span v-if="afterdialysis.intravenous_tube == 3">Ⅱ级</span>
              <span v-if="afterdialysis.intravenous_tube == 4">Ⅲ级</span>
            </div>
            <div class="widthLength25">动脉管道：
              <span v-if="afterdialysis.arterial_tube == 1">0级</span>
              <span v-if="afterdialysis.arterial_tube == 2">I级</span>
              <span v-if="afterdialysis.arterial_tube == 3">Ⅱ级</span>
              <span v-if="afterdialysis.arterial_tube == 4">Ⅲ级</span>
            </div> -->
            <div class="widthLength25">透析器凝血：{{ afterdialysis.cruor ? afterdialysis.cruor : "" }}</div>
            <div class="widthLength25"></div>
            <div class="widthLength25"></div>
            
        </div>
        <div class="lineHeight">
          <div class="widthLength25">血管通路功能：
            {{ afterdialysis.internal_fistula ? afterdialysis.internal_fistula : "" }}
          </div>
            <div class="widthLength25">出血：
              <span v-if="afterdialysis.puncture_point_oozing_blood == 1">有</span>
              <span v-else>无</span>
            </div>
            <div class="widthLength25">穿刺口：
              <span v-if="afterdialysis.hemostasis_opera == 1">需要护士</span>
              <span v-if="afterdialysis.hemostasis_opera == 2">他人协助</span>
              <span v-if="afterdialysis.hemostasis_opera == 3">自己压迫</span>
              <span v-if="afterdialysis.hemostasis_opera == 4">内瘘止血带</span>
            </div>
            <div class="widthLength25">透析状态：在透</div>
            
        </div>
        <div class="lineHeight">
            <div class="widthLength25">URR：{{ afterdialysis.urr ? afterdialysis.urr : '未测' }}</div>
            <div class="widthLength25">kt/V：{{ afterdialysis.ktv ? afterdialysis.ktv : '未测' }}</div>
            <div class="widthLength25">透析相关高血压：{{ afterdialysis.hypertenison == 1 ? '有' : '无' }}</div>
            <div class="widthLength25">透析相关低血压：{{ afterdialysis.hypopiesia == 1 ? '有' : '无' }}</div>
            
        </div>
        <div class="lineHeight">
            <div class="widthLength25">转归：
              <span v-if="afterdialysis.lapse == item.id" v-for="(item,index) in lapse_arr" :key="index">{{ item.name }}</span>
            </div>
            <div class="widthLength25">患者去向：
              <span v-if="afterdialysis.patient_gose == 1">离院</span>
              <span v-if="afterdialysis.patient_gose == 2">留观</span>
              <span v-if="afterdialysis.patient_gose == 3">住院</span>
              <span v-if="afterdialysis.patient_gose == 4">门诊</span>
            </div>
            <div class="widthLength25">离科方式：
              <span v-if="afterdialysis.leave_office_method == 1">步行</span>
              <span v-if="afterdialysis.leave_office_method == 2">扶行</span>
              <span v-if="afterdialysis.leave_office_method == 3">轮椅</span>
              <span v-if="afterdialysis.leave_office_method == 4">平车</span>
            </div>
            <div class="widthLength25">设备运行：正常</div>
        </div>
        <div class="lineHeight">
            健康宣教：{{ summary.mission ? summary.mission : '' }}
        </div>
        <div class="lineHeight">
            <div style="width:16%;">值班医生：
              <span style="display: inline-block;text-align: left;">
                &nbsp;
                <span v-if="setAdminUserES(prescription==null?0:(prescription.creater?prescription.creater:'')) == ''"> {{ getAdminUser(prescription==null?0:(prescription.creater?prescription.creater:'')) }} </span>
                <img style="height:20px;" :src="setAdminUserES(prescription==null?0:(prescription.creater?prescription.creater:''))" alt="" srcset="" v-else />
              </span>
            </div>
            <div style="width:16%;">责任护士：
              <span style="display: inline-block;text-align: left;">
                &nbsp;
                <span v-if="setAdminUserES(dialysisOrder==null?0:dialysisOrder.start_nurse) == ''">{{getAdminUser(dialysisOrder==null?0:dialysisOrder.start_nurse)}}</span>
                <img class="es-img" style="height:20px;" :src="setAdminUserES(dialysisOrder==null?0:dialysisOrder.start_nurse)" alt="" srcset="" v-else>
              </span>
            </div>
            <div style="width:16%;">下机护士：
              <span style="display: inline-block;text-align: left;">
                &nbsp;
                <span v-if="setAdminUserES(dialysisOrder==null?0:dialysisOrder.finish_nurse) == ''">{{getAdminUser(dialysisOrder==null?0:dialysisOrder.finish_nurse)}}</span>
                <img class="es-img" style="height:20px;" :src="setAdminUserES(dialysisOrder==null?0:dialysisOrder.finish_nurse)" alt="" srcset="" v-else>
              </span>
            </div>
        </div>
        <div class="lineHeight">
            病程记录：
        </div>
        <div class="lineHeight">{{ summary.dialysis_summary ? summary.dialysis_summary : '' }}{{ summary.created_time ? getTime(summary.created_time, "{y}-{m}-{d} {h}:{i}") : '' }}</div>
        <div style="text-align:right;line-height:30px;">签名医生：
          <span style="display: inline-block;text-align: left;">
            &nbsp;
            <span v-if="setAdminUserES(prescription==null?0:(prescription.creater?prescription.creater:'')) == ''"> {{ getAdminUser(prescription==null?0:(prescription.creater?prescription.creater:'')) }} </span>
            <img style="height:20px;" :src="setAdminUserES(prescription==null?0:(prescription.creater?prescription.creater:''))" alt="" srcset="" v-else />
          </span>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { getDialysisRecord } from "@/api/dialysis";
import { getDataConfig } from "@/utils/data";
import { jsGetAge, uParseTime } from "@/utils/tools";
import LabelBox from "../printItem/LabelBox";
import BreadCrumb from "@/xt_pages/components/bread-crumb";
// import DialysisPrintOrderOne from './template/dialysisPrintOrderOne'
// import DialysisPrintOrderTwo from './template/dialysisPrintOrderTwo'
import print from "print-js";

export default {
  name: "dialysisPrintOrderOne",
  components: {
    // DialysisPrintOrderOne,
    // DialysisPrintOrderTwo,
    LabelBox,
    BreadCrumb
  },
  data() {
    return {
      way_arr: [],
      consciousness_arr: [],
      appetite_arr: [],
      posture_arr: [],
      sick_condition_arr: [],
      precaution_arr: [],
      intake_arr: [],
      nutrition_arr: [],
      lapse_arr:[],

      crumbs: [
        { path: false, name: "透析管理" },
        { path: false, name: "打印单" }
      ],
      operators: [],
      adminUser: [],
      check: {},
      dialysisOrder: {
        DeviceNumber: []
      },
      Order: {},
      operatorMaps: {},
      complications: [
        "低血压",
        "高血压",
        "心律失常",
        "头晕",
        "头痛",
        "呕吐",
        "抽搐",
        "出血",
        "心衰",
        "腹痛",
        "无"
      ],
      jilurow: 0,
      advice_jilurow: 0,
      loading: false,
      orgname: "",
      patientInfo_gender_1: false,
      patientInfo_gender_2: false,
      patientInfo_source_2: false,
      patientInfo_source_1: false,
      modeOptions: {},
      replacementWays: [],
      perfusionApparatus: [],
      anticoagulantsConfit: {},
      bloodAccessParOpera: {},
      dialysateFormulationOptions: {},

      queryParams: {
        xtdate: "",
        xtno: ""
      },
      patientInfo: {
        birth: "",
        age: "",
        DialysisSchedule: {
          device_number: { number: "" },
          device_zone: { name: "" }
        },
        gender: 0
      },
      predialysis: {
        score: "",
        internal_fistula: "",
        internal_fistula_skin: "",
        catheter: "",
        blood_access_part_opera_name: ""
      },
      afterdialysis: {
        complications_index: ""
      },
      prescription: {
        dialysate_formulation_name: "",
        device: {}
      },
      advices: [],
      users: [],
      monitors: [],
      summary: {},
      receiverTreatmentAccess: {},
      org_template_info: {},
      isShowZero: false,

      doctor_advices: [],
      advice_groups: [],

      AlPanel: {
        id: 0,
        name: "",
        type: 1,
        shouji: 2,
        weichi: 2,
        zongliang: 2,
        gaimingcheng: -1,
        gaijiliang: -1,
        shouji_unit: "mg",
        weichi_unit: "mg/h",
        zongliang_unit: "mg",
        gaimingcheng_unit: "",
        gaijiliang_unit: ""
      },
      total: "",
      doctorForm: {
        doctor: "",
        url: ""
      },
      dialysisDoctor: {
        doctor: "",
        url: ""
      },
      tableAdvice: [],
      assessmentafter: {},
      orderForm: {
        start_nurse: "",
        url: ""
      },
      finshForm: {
        finish_nurse: "",
        url: ""
      },
      displaceLiquiPartOptions: [],
      complicationList:[],
      bloodPressureMmonitoringSite:[]
    };
  },
  methods: {
    checkData(){
      if(this.receiverTreatmentAccess.way == 0){
        this.$message.error('入院方式未填')
      }else if(this.patientInfo.first_treatment_date == 0){
        this.$message.error('首次透析时间未填')
      }else if(this.patientInfo.hospital_first_dialysis_date == 0){
        this.$message.error('首次透析时间未填')
      }else if(this.predialysis.pre_dialysis_drugs == ''){
        this.$message.error('透析前药物未填')
      }else if(this.receiverTreatmentAccess.precaution == ''){
        this.$message.error('跌倒预防措施未填')
      }else if(this.receiverTreatmentAccess.danger_level == 0){
        this.$message.error('跌倒风险未填')
      }else if(this.predialysis.is_infect == 0){
        this.$message.error('是否通路感染未填')
      }else if(this.receiverTreatmentAccess.condition == 0){
        this.$message.error('就诊方式未填')
      }else if(this.predialysis.internal_fistula == ''){
        this.$message.error('内瘘功能未填')
      }else if(this.predialysis.puncture_way == ''){
        this.$message.error('穿刺方法未填')
      }else if(this.predialysis.internal_fistula_skin == ''){
        this.$message.error('通路皮肤未填')
      }else if(this.predialysis.systolic_blood_pressure == 0 || this.predialysis.diastolic_blood_pressure == 0){
        this.$message.error('透前血压未填完整')
      }else if(this.predialysis.temperature == ""){
        this.$message.error('透前体温未填')
      }else if(this.predialysis.pulse_frequency == ""){
        this.$message.error('透前脉搏未填')
      }else if(this.receiverTreatmentAccess.consciousness == 0){
        this.$message.error('意识未填')
      }else if(this.receiverTreatmentAccess.appetite == 0){
        this.$message.error('食欲未填')
      }else if(this.predialysis.additional_weight == 0){
        this.$message.error('附加重物量未填')
      }else if(this.predialysis.weight_before == 0){
        this.$message.error('透前体重未填')
      }else if(this.predialysis.dry_weight == 0){
        this.$message.error('干体重未填')
      }else if(this.afterdialysis.systolic_blood_pressure == 0 || this.afterdialysis.diastolic_blood_pressure == 0){
        this.$message.error('透后血压未填完整')
      }else if(this.afterdialysis.temperature == 0){
        this.$message.error('透后体温未填')
      }else if(this.afterdialysis.consciousness == 0){
        this.$message.error('透后意识未填')
      }else if(this.afterdialysis.fallrisk == 0){
        this.$message.error('透后跌倒风险未填')
      }else if(this.afterdialysis.dialysis_during == 0){
        this.$message.error('实际进食量未填')
      }else if(this.afterdialysis.weight_after == 0){
        this.$message.error('透后体重未填')
      }else if(this.afterdialysis.pulse_frequency == 0){
        this.$message.error('透后脉搏未填')
      }else if(this.prescription.illness == 0){
        this.$message.error('病情未填')
      }else if(this.prescription.mode_id == ""){
        this.$message.error('治疗模式未填')
      }else if(this.prescription.dialysis_duration_hour == 0 && this.prescription.dialysis_duration_minute == 0){
        this.$message.error('治疗总时长未填')
      }else if(this.prescription.dialysis_dialyszers == ""){
        this.$message.error('透析器未填')
      }else if(this.prescription.blood_flow_volume == 0){
        this.$message.error('血流量未填')
      }else if(this.prescription.target_ultrafiltration == 0){
        this.$message.error('设定UF量未填')
      }else if(this.afterdialysis.actual_ultrafiltration == 0){
        this.$message.error('实际UF量未填')
      }else if(this.prescription.dialysate_temperature == 0){
        this.$message.error('透析液温度未填')
      }else if(this.prescription.dialysate_flow == 0){
        this.$message.error('透析液流量未填')
      }else if(this.prescription.bicarbonate == 0){
        this.$message.error('碳酸氢根未填')
      }else if(this.predialysis.blood_access_part_opera_name == ''){
        this.$message.error('血管通路未填')
      }else if(this.prescription.calcium == 0){
        this.$message.error('钙未填')
      }else if(this.prescription.kalium == 0){
        this.$message.error('钾未填')
      }else if(this.prescription.sodium == 0){
        this.$message.error('钠未填')
      }else if(this.prescription.amylaceum == ""){
        this.$message.error('葡萄糖未填')
      }else if(this.prescription.creater == 0){
        this.$message.error('医生未填')
      }else if(this.predialysis.creater == 0){
        this.$message.error('透前评估护士未填')
      }else if (this.dialysisOrder == null && this.check.creater == 0) {
        this.$message.error('核对护士未填')
      }else if (this.dialysisOrder != null && this.check.creater == 0) {
        this.$message.error('核对护士未填')
      }else if(this.dialysisOrder != null && this.dialysisOrder.start_nurse == this.check.modifier && this.check.creater == 0){
        this.$message.error('核对护士未填')
      }else if(this.dialysisOrder != null && this.dialysisOrder.start_nurse == this.check.creater && this.check.modifier == 0){
        this.$message.error('核对护士未填')
      }else if(this.dialysisOrder == null || this.dialysisOrder.start_nurse == 0){
        this.$message.error('责任护士未填')
      }else if(this.monitors.length > 0 && this.monitors[0].blood_pressure_monitoring_site == 0){
        this.$message.error('血压检测部位未填')
      }else if(this.summary.nursing_record == ""){
        this.$message.error('护理记录未填')
      }else if(this.summary.special_record == ""){
        this.$message.error('护理小结未填')
      }else if(this.afterdialysis.actual_treatment_hour == 0 && this.afterdialysis.actual_treatment_minute == 0){
        this.$message.error('实际治疗时长未填')
      }else if(this.afterdialysis.cruor == ""){
        this.$message.error('透析器凝血未填')
      }else if(this.afterdialysis.internal_fistula == ''){
        this.$message.error('血管通路功能未填')
      }else if(this.afterdialysis.hemostasis_opera == 0){
        this.$message.error('穿刺口未填')
      }else if(this.afterdialysis.lapse == 0){
        this.$message.error('转归未填')
      }else if(this.afterdialysis.patient_gose == 0){
        this.$message.error('患者去向未填')
      }else if(this.afterdialysis.leave_office_method == 0){
        this.$message.error('离科方式未填')
      }else if(this.summary.mission == ""){
        this.$message.error('健康宣教未填')
      }else if(this.dialysisOrder.finish_nurse == 0){
        this.$message.error('下机护士未填')
      }else if(this.summary.dialysis_summary == ""){
        this.$message.error('病程记录未填')
      }else if(this.tableAdvice.length > 0 || this.monitors.length > 0){
        let num = 0
        if(this.monitors.length > 0){
          this.monitors.map(item => {
            if(item.id > 0 && item.operate_time){
              this.users.map(it => {
                if(it.id == item.monitoring_nurse){
                  if(it.user_type == 2){
                    num++
                    this.$message.closeAll()
                    this.$message.error('存在不是护士保存的监测')
                  }
                }
              })
            }
          })
        }
        if(this.tableAdvice.length > 0){
          this.tableAdvice.map(item => {
            if(item.id > 0 && (item.created_time || item.start_time)){
              this.users.map(it => {
                if(it.id == item.advice_doctor){
                  if(it.user_type == 3){
                    num++
                    this.$message.closeAll()
                    this.$message.error('存在不是医生保存的医嘱')
                  }else if(it.id == item.execution_staff && item.execution_staff > 0){
                    if(it.user_type == 2){
                      num++
                      this.$message.closeAll()
                      this.$message.error('存在不是护士执行的医嘱')
                    }
                  }else if(it.id == item.checker && item.checker > 0){
                    if(it.user_type == 2){
                      num++
                      this.$message.closeAll()
                      this.$message.error('存在不是护士核对的医嘱')
                    }
                  }
                }else if(it.id == item.execution_staff && item.execution_staff > 0){
                  if(it.user_type == 2){
                    num++
                    this.$message.closeAll()
                    this.$message.error('存在不是护士执行的医嘱')
                  }
                }else if(it.id == item.checker && item.checker > 0){
                  if(it.user_type == 2){
                    num++
                    this.$message.closeAll()
                    this.$message.error('存在不是护士核对的医嘱')
                  }
                }
              })
            }
        })
        }
        
        if(num == 0){
          this.$message.success('核对完成')
        }
      }else{
        this.$message.success('核对完成')
      }
    },
    getMonths(t){
      var ot=new Date(t); //转为时间对象（js的时间戳是毫秒数）
      var oy=ot.getFullYear(); //年
      var om=ot.getMonth()+1; //月
      var tt=new Date(); //今天
      var ty=tt.getFullYear(); //今天年
      var tm=tt.getMonth()+1; //今天月
      var gm=(ty-oy)*12+(tm-om); //距今月数
      return gm
    },
    getBloodPressureMmonitoringSite(id){
      var name = "";
      for(let i=0;i<this.bloodPressureMmonitoringSite.length;i++){
         if(id == this.bloodPressureMmonitoringSite[i].id){
            name = this.bloodPressureMmonitoringSite[i].name
         }
      }
      return name
    },
    getComplication(id){
      var name = "";
      for(let i=0;i<this.complicationList.length;i++){
         if(id == this.complicationList[i].id){
            name = this.complicationList[i].name
         }
      }
      return name
    },
    getDisplaceLiquiPart: function(val) {
      let displace_liqui_part_name = "/";
      const displace_liqui_part = this.displaceLiquiPartOptions;
      for (let i = 0; i < displace_liqui_part.length; i++) {
        if (displace_liqui_part[i].id == val) {
          displace_liqui_part_name = displace_liqui_part[i].name;
        }
      }
      return displace_liqui_part_name;
    },
    getAdminUser(id) {
      if (id == 0) {
        return "";
      }
      if (id == undefined) {
        return "";
      }
      for (let i = 0; i < this.adminUser.length; i++) {
        if (this.adminUser[i].id == id) {
          return this.adminUser[i].name;
        }
      }
    },
    getTime(value, temp) {
      if (value == 0) {
        return "";
      }
      if (value != undefined) {
        return uParseTime(value, temp);
      }
      return "";
    },
    printThisPage() {
      var ptime = Math.round(new Date().getTime() / 1000);
      this.print_time = uParseTime(ptime, "{y}-{m}-{d} {h}:{i}");

      const style =
        '@media print {.dialysis-print-order{width:960px;margin:0 auto}.dialysis-print-order .order-yy-name{margin:auto;text-align:center;font-size:20px;letter-spacing:5px}.dialysis-print-order .order-title{margin:auto;font-weight:600;text-align:center;font-size:22px;padding:10px 20px 20px 20px}.dialysis-print-order .table-box{width:100%;line-height:23px;font-size:14px}.dialysis-print-order .print-table{width:100%;text-align:center;border-collapse:collapse;line-height:25px;font-size:14px}.dialysis-print-order .print-table-no{width:100%;text-align:center;border-collapse:collapse;font-size:14px}.dialysis-print-order .under-line{border-bottom:1px solid #999;width:95%;text-align:center;margin-left:2px}.dialysis-print-order .title-box{text-align:center;font-size:16px;border:1px solid #666}.dialysis-print-order .radio-lebel-box{font-weight:400;cursor:pointer}.dialysis-print-order .radio-no{opacity:0;outline:0;position:absolute;margin:0;width:0;height:0;z-index:-1}.dialysis-print-order .radio-inner{white-space:nowrap;cursor:pointer;outline:0;display:inline-block;line-height:1;position:relative;vertical-align:middle}.dialysis-print-order .radio-fang{display:inline-block;position:relative;border:1px solid #000;box-sizing:border-box;width:14px;height:14px;background-color:#fff;z-index:1;transition:border-color .25s cubic-bezier(.71,-.46,.29,1.46),background-color .25s cubic-bezier(.71,-.46,.29,1.46)}.dialysis-print-order .is-checked-radio::after{content:"√";font-size:15px}}.dialysis-print-order .print-table-no tr td { padding: 8px 5px; line-height: 25px; }.es-img{height: 20px; }.advice-name{text-align: left;}.advice-children{display:flex;} .dialysis-print-order .print-table tr td{padding: 0px 0px;} .print-template-two tr {line-height: 30px;}   .title-box-pro{border: 0 #fff;line-height: 40px;height: 40px;text-align: left;padding-left: 10px !important;}  .text-align-left{text-align: left !important;padding-left:10px !important;font-size: 14px !important;line-height: 25px;}';

      if (this.org_template_info.template_id == 1) {
        printJS({
          printable: "dialysis-print-box",
          type: "html",
          style: style,
          scanStyles: false
        });
      } else if (
        this.org_template_info.template_id == 2 ||
        this.org_template_info.template_id == 0
      ) {
        printJS({
          printable: "dialysis-print-box-1",
          type: "html",
          style: style,
          scanStyles: false
        });
      }
    },
    getNumber() {
      if (this.dialysisOrder != null) {
        return (
          this.patientInfo.DialysisSchedule.device_zone.name +
          this.dialysisOrder.DeviceNumber.number
        );
      } else {
        return (
          this.patientInfo.DialysisSchedule.device_zone.name +
          this.patientInfo.DialysisSchedule.device_number.number
        );
      }
    },

    getXuserName(id) {
      if (id <= 0) {
        return "";
      }
      var name = "";
      if (this.users == null || typeof this.users.length === "undefined") {
        return name;
      }
      var leng = this.users.length;
      if (leng == 0) {
        return name;
      }
      for (let index = 0; index < leng; index++) {
        if (this.users[index].id == id) {
          name = this.users[index].name;
          break;
        }
      }
      return name;
    },
    setAdminUserES(id) {
      if (id == 0) {
        return "";
      }
      if (id in this.operatorMaps) {
        return this.operatorMaps[id].url;
      } else {
        return "";
      }
    },
    modeName(mode_id) {
      return typeof this.modeOptions[mode_id] !== "undefined" &&
        typeof this.modeOptions[mode_id].name !== "undefined"
        ? this.modeOptions[mode_id].name
        : "";
    },
    getDialysisRecord() {
      this.loading = true;

      getDialysisRecord(this.queryParams).then(response => {
        if (response.data.state === 1) {
          this.total = response.data.data.total;
          this.adminUser = response.data.data.users;
          this.users = response.data.data.users;
          var patientInfo = response.data.data.patientInfo;
          console.log("烧腊店就拉萨讲道理看", patientInfo);
          if (patientInfo.gender === 1) {
            patientInfo.gender = "男";
          }
          if (patientInfo.gender === 2) {
            patientInfo.gender = "女";
          }
          console.log("patientInfo", patientInfo);
          this.patientInfo = patientInfo;
          this.patientInfo.birth = uParseTime(
            this.patientInfo.birthday,
            "{y}-{m}-{d}"
          );
          // this.patientInfo.age = jsGetAge(this.patientInfo.birth, '-')
          if (response.data.data.patientInfo.first_dialysis_date != 0) {
            this.patientInfo.first_dialysis_date = uParseTime(
              response.data.data.patientInfo.first_dialysis_date,
              "{y}-{m}-{d}"
            );
          } else {
            this.patientInfo.first_dialysis_date = "";
          }
          this.check = response.data.data.check;
          console.log("核对信息", this.check);
          this.predialysis = response.data.data.PredialysisEvaluation;
          console.log("透前评估", this.predialysis);
          this.predialysis.blood_access_part_opera_name = this.bloodAccessParOperaName(
            this.predialysis.blood_access_part_opera_id
          );
          
          this.assessmentafter = response.data.data.assessmentAfterDislysis;
          console.log("上次透后体重", this.assessmentafter);
          var doctorAdevieInfo = response.data.data.doctorAdevieInfo;
          var doctorAdevieInfo = JSON.parse(JSON.stringify(response.data.data.advices))
          var tableAdvice = doctorAdevieInfo;
          console.log("医生", tableAdvice);
          if (tableAdvice.length === 0) {
            var obj = { advice_name: "", start_time: "" };
            var obj1 = { advice_name: "", start_time: "" };
            var obj2 = { advice_name: "", start_time: "" };
            var obj3 = { advice_name: "", start_time: "" };
            var obj4 = { advice_name: "", start_time: "" };
            var obj5 = { advice_name: "", start_time: "" };
            tableAdvice.push(obj);
            tableAdvice.push(obj1);
            tableAdvice.push(obj2);
            tableAdvice.push(obj3);
            tableAdvice.push(obj4);
            tableAdvice.push(obj5);
            this.tableAdvice = tableAdvice;
          }
          if (tableAdvice.length === 1) {
            var obj = { advice_name: "", start_time: "" };
            var obj1 = { advice_name: "", start_time: "" };
            var obj2 = { advice_name: "", start_time: "" };
            var obj3 = { advice_name: "", start_time: "" };
            var obj4 = { advice_name: "", start_time: "" };
            tableAdvice.push(obj);
            tableAdvice.push(obj1);
            tableAdvice.push(obj2);
            tableAdvice.push(obj3);
            tableAdvice.push(obj4);
            this.tableAdvice = tableAdvice;
          }
          if (tableAdvice.length === 2) {
            var obj = { advice_name: "", start_time: "" };
            var obj1 = { advice_name: "", start_time: "" };
            var obj2 = { advice_name: "", start_time: "" };
            var obj3 = { advice_name: "", start_time: "" };
            tableAdvice.push(obj);
            tableAdvice.push(obj1);
            tableAdvice.push(obj2);
            tableAdvice.push(obj3);
            this.tableAdvice = tableAdvice;
          }
          if (tableAdvice.length === 3) {
            // eslint-disable-next-line no-redeclare
            var obj = { advice_name: "", start_time: "" };
            // eslint-disable-next-line no-redeclare
            var obj1 = { advice_name: "", start_time: "" };
            // eslint-disable-next-line no-redeclare
            var obj2 = { advice_name: "", start_time: "" };
            // eslint-disable-next-line no-redeclare
            tableAdvice.push(obj);
            tableAdvice.push(obj1);
            tableAdvice.push(obj2);

            this.tableAdvice = tableAdvice;
          }
          if (tableAdvice.length === 4) {
            // eslint-disable-next-line no-redeclare
            var obj = { advice_name: "", start_time: "" };
            // eslint-disable-next-line no-redeclare
            var obj1 = { advice_name: "", start_time: "" };
            // eslint-disable-next-line no-redeclare

            tableAdvice.push(obj);
            tableAdvice.push(obj1);
            this.tableAdvice = tableAdvice;
          }
          if (tableAdvice.length === 5) {
            // eslint-disable-next-line no-redeclare
            var obj = { advice_name: "", start_time: "" };
            // eslint-disable-next-line no-redeclare
            var obj1 = { advice_name: "", start_time: "" };
            tableAdvice.push(obj);
            tableAdvice.push(obj1);
            this.tableAdvice = tableAdvice;
          }

          if (tableAdvice.length >= 6) {
            this.tableAdvice = tableAdvice;
          }
          this.afterdialysis = response.data.data.AssessmentAfterDislysis;
          console.log("透后评估", this.afterdialysis);
          this.operators = response.data.data.operators;

          this.dialysisOrder =
            response.data.data.dialysisOrder === null
              ? null
              : response.data.data.dialysisOrder;
          if (this.operators.length > 0) {
            var operatorsLen = this.operators.length;
            for (var index = 0; index < operatorsLen; index++) {
              this.$set(
                this.operatorMaps,
                this.operators[index].creator,
                this.operators[index]
              );
            }
          }

          this.afterdialysis.txqnx = -1;
          if (this.afterdialysis.cruor.indexOf("0度") > -1) {
            this.afterdialysis.txqnx = 0;
          }
          if (this.afterdialysis.cruor.indexOf("Ⅰ度") > -1) {
            this.afterdialysis.txqnx = 1;
          }
          if (this.afterdialysis.cruor.indexOf("Ⅱ度") > -1) {
            this.afterdialysis.txqnx = 2;
          }
          if (this.afterdialysis.cruor.indexOf("Ⅲ度") > -1) {
            this.afterdialysis.txqnx = 3;
          }

          this.afterdialysis.complications = this.afterdialysis.complication.split(
            ","
          );
          this.afterdialysis.complications_other = [];
          this.afterdialysis.complications_index = [];
          var acllen = this.afterdialysis.complications.length;
          for (let index = 0; index < acllen; index++) {
            if (
              this.complications.indexOf(
                this.afterdialysis.complications[index]
              ) >= 0
            ) {
              this.afterdialysis.complications_index.push(
                this.afterdialysis.complications[index]
              );
            } else if (
              this.complications.indexOf(
                this.afterdialysis.complications[index]
              ) < 0 &&
              this.afterdialysis.complications_other.indexOf(
                this.afterdialysis.complications[index]
              ) < 0
            ) {
              this.afterdialysis.complications_other.push(
                this.afterdialysis.complications[index]
              );
            }
          }
          this.afterdialysis.complications_other = this.afterdialysis.complications_other.join(
            ","
          );
          var doctorname = response.data.data.DoctorName;
          //console.log("医师签名", doctorname);
          this.doctorForm.doctor = doctorname.user_name;
          this.doctorForm.url = doctorname.url;
          var prescription = response.data.data.dialysisPrescription;
          console.log("透析处方", prescription);
          if (prescription.anticoagulant == 6) {
            prescription.anticoagulant = "低分子肝素钙";
          }
          if (prescription.anticoagulant == 7) {
            prescription.anticoagulant = "低分子肝素钠";
          }
          if (prescription.replacement_way === 1) {
            prescription.replacement_way = "前置换";
          }
          if (prescription.replacement_way === 2) {
            prescription.replacement_way = "后置换";
          }
          if (prescription.replacement_way === 3) {
            prescription.replacement_way = "中置换";
          }
          if (prescription.replacement_way === 4) {
            prescription.replacement_way = "混合置换";
          }
          if (prescription.anticoagulant === 1) {
            prescription.anticoagulant = "无肝素";
          }
          if (prescription.anticoagulant === 2) {
            prescription.anticoagulant = "普通肝素";
          }
          if (prescription.anticoagulant === 3) {
            prescription.anticoagulant = "低分子肝素";
          }
          if (prescription.anticoagulant === 4) {
            prescription.anticoagulant = "阿加曲班";
          }
          if (prescription.anticoagulant === 5) {
            prescription.anticoagulant = "枸橼酸钠";
          }
          this.prescription = prescription;
          var receiverTreatmentAccess =
            response.data.data.receiverTreatmentAccess;
          if (receiverTreatmentAccess.sick_condition === 1) {
            receiverTreatmentAccess.sick_condition = "一般";
          }
          if (receiverTreatmentAccess.sick_condition === 2) {
            receiverTreatmentAccess.sick_condition = "严重";
          }
          if (receiverTreatmentAccess.sick_condition === 3) {
            receiverTreatmentAccess.sick_condition = "危";
          }
          if (receiverTreatmentAccess.way === 1) {
            receiverTreatmentAccess.way = "步行";
          }
          if (receiverTreatmentAccess.way === 2) {
            receiverTreatmentAccess.way = "扶行";
          }
          if (receiverTreatmentAccess.way === 3) {
            receiverTreatmentAccess.way = "轮椅";
          }
          if (receiverTreatmentAccess.way === 4) {
            receiverTreatmentAccess.way = "平车";
          }
          console.log("接诊评估:", receiverTreatmentAccess);
          var obj = receiverTreatmentAccess.precaution
          var arr = obj.split(',')
          console.log('arr', arr)
          var arr2 = []
          for (let i = 0; i < this.precaution_arr.length; i++) {
            for (let j = 0; j < arr.length; j++) {
              if (this.precaution_arr[i].id == parseInt(arr[j])) {
                arr2.push(this.precaution_arr[i].name)
              }
            }
          }
          var obj2 = arr2.join(',')
          console.log('obj2', obj2)
          receiverTreatmentAccess.precaution = obj2
          this.receiverTreatmentAccess = receiverTreatmentAccess;
          this.prescription.mode = this.modeName(this.prescription.mode_id);
          var rwLen = this.replacementWays.length;
          this.prescription.replacement = "";
          for (let index = 0; index < rwLen; index++) {
            if (
              this.replacementWays[index].id ==
              this.prescription.replacement_way
            ) {
              this.prescription.replacement = this.replacementWays[index].name;
              break;
            }
          }

          this.prescription.dialysate_formulation_name = this.dialysateFormulationName(
            this.prescription.dialysate_formulation
          );
          this.prescription.blood_access_part_opera_name = this.bloodAccessParOperaName(
            this.prescription.blood_access
          );

          var paLen = this.perfusionApparatus.length;
          this.prescription.perfusion_apparatus_name = "";
          for (let index = 0; index < paLen; index++) {
            if (
              this.perfusionApparatus[index].id ==
              this.prescription.perfusion_apparatus
            ) {
              this.prescription.perfusion_apparatus_name = this.perfusionApparatus[
                index
              ].name;
              break;
            }
          }

          var acLen = this.anticoagulantsConfit.length;
          var thisALID = this.prescription.anticoagulant;
          this.prescription.anticoagulant_name = "";

          if (
            typeof this.anticoagulantsConfit[thisALID] !== "undefined" &&
            this.anticoagulantsConfit[thisALID] != null
          ) {
            this.prescription.anticoagulant_name = this.anticoagulantsConfit[
              thisALID
            ].name;
            this.AlPanel = this.anticoagulantsConfit[thisALID];
          }

          this.advices = response.data.data.advices;
          this.monitors = response.data.data.monitors;
          console.log("透析监测", this.monitors);
          this.summary = response.data.data.summary;
          this.Order = response.data.data.order;

          var start_nurse = response.data.data.startNuse;
          // console.log('上机护士', start_nurse)
          this.orderForm.start_nurse = start_nurse.user_name;
          this.orderForm.url = start_nurse.url;
          var finish_nurse = response.data.data.FinishNuse;
          // console.log('下机护士', finish_nurse)
          this.finshForm.url = finish_nurse.url;
          this.finshForm.finish_nurse = finish_nurse.user_name;
          var dialysisdoctor = response.data.data.dialysisdocotr;
          //this.dialysisDoctor.doctor = dialysisdoctor.user_name;
          // this.dialysisDoctor.url = dialysisdoctor.url;
          this.org_template_info = response.data.data.org_template_info;
          // 配置超滤量和置换量是否要显示0还是空
          if (this.org_template_info.org_id == 9535) {
            this.isShowZero = true;
          }
          // if (this.monitors.length < 7) {
          //   var nl = 8 - this.monitors.length;
          //   for (let index = 0; index < nl; index++) {
          //     this.monitors.push([]);
          //   }
          // }
          this.jilurow = this.monitors.length + 1;

          this.advice_jilurow = this.advices.length + 1;

          var childMap = {};
          for (const index in this.advices) {
            if (this.advices[index].parent_id == 0) {
              continue;
            }
            if (!(this.advices[index].parent_id in childMap)) {
              childMap[this.advices[index].parent_id] = [];
            }
            childMap[this.advices[index].parent_id].push(this.advices[index]);
          }

          var advices = [];
          for (const index in this.advices) {
            if (this.advices[index].parent_id > 0) {
              continue;
            }
            var item = this.advices[index];
            if (item.id in childMap) {
              item.children = childMap[item.id];
            } else {
              item.children = [];
            }
            advices.push(item);
          }

          var leftAdvice = [];
          var rightAdvice = [];
          var adlen = advices.length;

          var halfLen = adlen % 2 == 0 ? adlen / 2 : (adlen + 1) / 2;
          for (var i = 0; i < halfLen; i++) {
            leftAdvice.push(advices[i]);
            rightAdvice.push(advices[i + halfLen]);
          }
          if (halfLen < 5) {
            var nl = 5 - leftAdvice.length;
            for (let index = 0; index < nl; index++) {
              leftAdvice.push([]);
            }
            var nl = 5 - rightAdvice.length;
            for (let index = 0; index < nl; index++) {
              rightAdvice.push([]);
            }
          }

          this.advices = [];
          for (var i = 0; i < halfLen; i++) {
            var item = [];
            item.push(leftAdvice[i]);
            item.push(rightAdvice[i]);
            this.advices.push(item);
          }
          this.loading = false;

          this.doctor_advices =
            response.data.data.advices == null
              ? []
              : response.data.data.advices;

          for (let index = 0; index < this.doctor_advices.length; index++) {
            this.doctor_advices[index]["isShow"] = 2;
          }

          if (this.doctor_advices.length > 0) {
            var group = this.newAdviceGroupObject();
            var initGroupBlock = function(group, advice) {
              group.group_no = advice.groupno;
            };
            for (
              let index = this.doctor_advices.length - 1;
              index >= 0;
              index--
            ) {
              var new_advice_index = 0;

              if (
                "children" in this.doctor_advices[index] &&
                this.doctor_advices[index].children.length > 0
              ) {
                new_advice_index =
                  index + this.doctor_advices[index].children.length + 1;

                var doctor_advice = {
                  delivery_way: this.doctor_advices[index].delivery_way,
                  execution_frequency: this.doctor_advices[index]
                    .execution_frequency,
                  groupno: this.doctor_advices[index].groupno,
                  id: this.doctor_advices[index].id,
                  parent_id: this.doctor_advices[index].parent_id,
                  children: this.doctor_advices[index].children,
                  remark: this.doctor_advices[index].remark
                };
                doctor_advice["isShow"] = 1;
                this.doctor_advices.splice(new_advice_index, 0, doctor_advice);
                // this.doctor_advices.push(doctor_advice)
              }
            }

            for (let index = 0; index < this.doctor_advices.length; index++) {
              const advice = this.doctor_advices[index];
              if (advice.groupno == 0) {
                // 老版本的医嘱没有分组的概念，所以这一个 if 是解决这个问题的，将每个无分组的医嘱各自归为一组
                if (advice.parent_id > 0) {
                  if (this.advice_groups.length > 0) {
                    var parent_group = this.advice_groups[
                      this.advice_groups.length - 1
                    ];
                    if (parent_group.advices.length > 0) {
                      if (parent_group.advices[0].id == advice.parent_id) {
                        parent_group.advices.push(advice);
                      }
                    }
                  }
                  continue;
                } else {
                  if (group.group_no > 0) {
                    this.advice_groups.push(group);
                    group = this.newAdviceGroupObject();
                  }

                  initGroupBlock(group, advice);
                  group.advices.push(advice);
                  this.advice_groups.push(group);
                  group = this.newAdviceGroupObject();
                  continue;
                }
              }

              if (group.group_no > 0 && group.group_no != advice.groupno) {
                this.advice_groups.push(group);
                group = this.newAdviceGroupObject();
              }
              if (group.group_no == 0) {
                initGroupBlock(group, advice);
              }
              if (group.group_no == advice.groupno) {
                group.advices.push(advice);
              }
            }
            if (group.group_no > 0) {
              // 上述的算法会导致最后一组没有加到advice_groups，这里要手动加上
              this.advice_groups.push(group);
            }
          }
          console.log(this.advice_groups);
        } else {
          this.loading = false;
          this.$message.error("请求数据失败");
          return false;
        }
      });
    },
    bloodAccessParOperaName(id) {
      if (id in this.bloodAccessParOpera) {
        return this.bloodAccessParOpera[id].name;
      }
      return "";
    },
    dialysateFormulationName(id) {
      if (id in this.dialysateFormulationOptions) {
        return this.dialysateFormulationOptions[id].name;
      }
      return "";
    },
    getAge: function(val) {
      if (val.birthday != 0) {
        return jsGetAge(val.birth, "-");
      }
      return "";
    },
    checkIdCardNo(val) {
      var thisLen = val.length;
      var birth = "";
      if (thisLen == 15) {
        birth = "19" + val.substr(6, 6);
      } else {
        birth = val.substr(6, 8);
      }
      var birthTwo =
        birth.substr(0, 4) +
        "-" +
        birth.substr(4, 2) +
        "-" +
        birth.substr(6, 2);

      var age = jsGetAge(birthTwo, "-");
      return age;
    },
    newAdviceGroupObject: function() {
      return Object.assign(
        {},
        {
          group_no: 0,
          // advice_doctor: 0,
          // start_time: 0,
          advices: []
          // exec_staff: 0,
          // exec_time: 0,
          // checker: 0,
        }
      );
    }
  },
  watch: {
    "patientInfo.gender": function() {
      if (this.patientInfo.gender == 1) {
        this.patientInfo_gender_1 = true;
        this.patientInfo_gender_2 = false;
      } else if (this.patientInfo.gender == 2) {
        this.patientInfo_gender_2 = true;
        this.patientInfo_gender_1 = false;
      } else {
        this.patientInfo_gender_2 = false;
        this.patientInfo_gender_1 = false;
      }
    },
    "patientInfo.source": function() {
      if (this.patientInfo.source == 1) {
        this.patientInfo_source_1 = true;
        this.patientInfo_source_2 = false;
      } else if (this.patientInfo.source == 2) {
        this.patientInfo_source_2 = true;
        this.patientInfo_source_1 = false;
      } else {
        this.patientInfo_source_2 = false;
        this.patientInfo_source_1 = false;
      }
    }
  },
  created() {
    var xtuser = this.$store.getters.xt_user;
    this.orgname = xtuser.org.org_name;
    // this.orgname = "遂溪方济医院";
    this.modeOptions = this.$store.getters.treatment_mode;
    this.replacementWays = this.$store.getters.replacement_ways;
    this.perfusionApparatus = this.$store.getters.perfusion_apparatus;
    this.anticoagulantsConfit = this.$store.getters.anticoagulants_confit;

    this.way_arr = getDataConfig("hemodialysis", "way");
    this.consciousness_arr = getDataConfig("hemodialysis", "consciousness");
    this.appetite_arr = getDataConfig("hemodialysis", "appetite");
    this.posture_arr = getDataConfig("hemodialysis", "posture");
    this.sick_condition_arr = getDataConfig("hemodialysis", "sick_condition");
    this.precaution_arr = getDataConfig("hemodialysis", "precaution");
    this.intake_arr = getDataConfig("hemodialysis", "intake");
    this.nutrition_arr = getDataConfig("hemodialysis", "nutrition");
    this.lapse_arr = getDataConfig("hemodialysis", "lapse");
    this.displaceLiquiPartOptions = this.$store.getters.displace_liqui;
    // this.bloodAccessParOpera = getDataConfig('hemodialysis', 'vascular_access_desc')
    this.complicationList = getDataConfig('hemodialysis','complication')
    this.bloodPressureMmonitoringSite = getDataConfig('hemodialysis','blood_pressure_monitoring_site');
    this.illnessList = getDataConfig('hemodialysis', 'illness')

    var bloodAccessParOpera = getDataConfig(
      "hemodialysis",
      "vascular_access_desc"
    );
    for (var key in bloodAccessParOpera) {
      this.bloodAccessParOpera[bloodAccessParOpera[key].id] =
        bloodAccessParOpera[key];
    }

    var dialysateFormulationOptions = getDataConfig(
      "hemodialysis",
      "dialysate_formulation"
    );
    for (var key in dialysateFormulationOptions) {
      this.dialysateFormulationOptions[dialysateFormulationOptions[key].id] =
        dialysateFormulationOptions[key];
    }

    const xtdate = this.$route.query && this.$route.query.xtdate;
    const xtno = this.$route.query && this.$route.query.xtno;
    if (
      typeof xtdate === "string" &&
      xtdate.length > 0 &&
      typeof xtno === "string" &&
      xtno.length > 0
    ) {
      this.queryParams.xtdate = xtdate;
      this.queryParams.xtno = xtno;
      this.getDialysisRecord();
    } else {
      this.$message.error("参数不齐");
      return false;
    }
  }
};
</script>

<style>
.dialysis-print-order {
  width: 960px;
  margin: 0 auto;
}

.dialysis-print-order .order-yy-name {
  margin: auto;
  text-align: center;
  font-size: 20px;
  letter-spacing: 5px;
}

.dialysis-print-order .order-title {
  margin: auto;
  font-weight: 600;
  text-align: center;
  font-size: 22px;
  padding: 10px 20px 20px 20px;
}

.dialysis-print-order .table-box {
  width: 100%;
  line-height: 23px;
  font-size: 14px;
}

.dialysis-print-order .print-table {
  width: 100%;
  text-align: center;
  border-collapse: collapse;
  line-height: 40px;
  font-size: 14px;
}

.dialysis-print-order .print-table-no {
  width: 100%;
  text-align: center;
  border-collapse: collapse;
  font-size: 14px;
}

.dialysis-print-order .under-line {
  border-bottom: 1px solid #999;
  width: 95%;
  text-align: center;
  margin-left: 2px;
}

.dialysis-print-order .title-box {
  text-align: center;
  font-size: 16px;
}

.dialysis-print-order .radio-lebel-box {
  font-weight: 400;
  cursor: pointer;
}

.dialysis-print-order .radio-no {
  opacity: 0;
  outline: none;
  position: absolute;
  margin: 0;
  width: 0;
  height: 0;
  z-index: -1;
}

.dialysis-print-order .radio-inner {
  white-space: nowrap;
  cursor: pointer;
  outline: none;
  display: inline-block;
  line-height: 1;
  position: relative;
  vertical-align: middle;
}

.dialysis-print-order .radio-fang {
  display: inline-block;
  position: relative;
  border: 1px solid #000;
  box-sizing: border-box;
  width: 14px;
  height: 14px;
  background-color: #fff;
  z-index: 1;
  transition: border-color 0.25s cubic-bezier(0.71, -0.46, 0.29, 1.46),
    background-color 0.25s cubic-bezier(0.71, -0.46, 0.29, 1.46);
}

.dialysis-print-order .is-checked-radio::after {
  content: "√";
  font-size: 15px;
}

.dialysis-print-order .print-table-no tr td {
  padding: 8px 5px;
  line-height: 25px;
}

.dialysis-print-order .print-table tr td {
  padding: 1px 1px;
  /*line-height: 25px;*/
}

.es-img {
  height: 25px;
}

.advice-name {
  text-align: left;
}

.advice-children {
  display: flex;
}

.title-box-pro {
  border: 0 #fff;
  line-height: 25px;
  height: 25px;
  text-align: left;
  padding-left: 10px !important;
}
.title-box-pro-tr {
  border: 0 #fff;
}
.text-align-left {
  text-align: left !important;
  padding-left: 10px !important;
  font-size: 14px !important;
  line-height: 25px;
}
.print-table-tr-new td {
  line-height: 20px !important;
}
.border-top-solid {
  border: solid 1px #000;
}
.print-template-two tr {
  line-height: 30px;
}

.table-box1 {
  border: 1px solid #000;
  width: 100%;
  line-height: 30px;
  font-size: 14px;
  border-collapse: collapse;
}
.table-box1 tr {
  border-bottom: 1px solid #000;
}
.widthLength25{
    width: 25%;
}
.lineHeight{
    line-height: 30px;
    display: flex;
    justify-content: space-between;
}
</style>
